// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      Mono Runtime Version: 2.0.50727.42
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace Circ.Frontend.GtkSharp {
    
    
    public partial class ServerPanel {
        
        private Gtk.Notebook channelsNb;
        
        private Gtk.ScrolledWindow textWindow;
        
        private Gtk.Label label3;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize();
            // Widget Circ.Frontend.GtkSharp.ServerPanel
            Stetic.BinContainer.Attach(this);
            this.Events = ((Gdk.EventMask)(256));
            this.Name = "Circ.Frontend.GtkSharp.ServerPanel";
            // Container child Circ.Frontend.GtkSharp.ServerPanel.Gtk.Container+ContainerChild
            this.channelsNb = new Gtk.Notebook();
            this.channelsNb.Name = "channelsNb";
            this.channelsNb.CurrentPage = 0;
            // Container child channelsNb.Gtk.Notebook+NotebookChild
            this.textWindow = new Gtk.ScrolledWindow();
            this.textWindow.Name = "textWindow";
            this.textWindow.VscrollbarPolicy = ((Gtk.PolicyType)(1));
            this.textWindow.HscrollbarPolicy = ((Gtk.PolicyType)(2));
            this.textWindow.ShadowType = ((Gtk.ShadowType)(3));
            this.channelsNb.Add(this.textWindow);
            Gtk.Notebook.NotebookChild w1 = ((Gtk.Notebook.NotebookChild)(this.channelsNb[this.textWindow]));
            w1.TabExpand = false;
            // Notebook tab
            this.label3 = new Gtk.Label();
            this.label3.Name = "label3";
            this.label3.LabelProp = Mono.Unix.Catalog.GetString("Server Infos");
            this.channelsNb.SetTabLabel(this.textWindow, this.label3);
            this.Add(this.channelsNb);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
        }
    }
}
